#include "vision.h"
#include <bits/stdc++.h>
using namespace std;
vector<int> getVisionPattern1d()
{
    return {3,1,2};
}

int getMove1d(vector<int> v)
{
    int mid=v.size()/2;
    if(v[mid]<=2)
    {
        if(v[mid-1]==3)return mid-1;
        else return mid+1;
    }
    else
    {
        if(v[mid-1]==1)return mid-3;
        else return mid+3;
    }
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
